<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        //Resources
        Schema::create('promotions', function (Blueprint $table) {
            $table->id();
            $table->integer('sort_order')->default(0);
            $table->string('title', 2048);
            $table->string('description', 2048)->nullable();
            $table->string('additional_info', 2048)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('promotions');
    }
};
